Skip to main content
GET
/
v1
/
apps
/
{id}
/
credentials
List OAuth clients for an App
curl --request GET \
  --url https://api.leanrails.com/v1/apps/{id}/credentials \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "data": [
    {
      "object": "oauth_client",
      "id": "<string>",
      "app_id": "<string>",
      "client_id": "<string>",
      "client_secret_prefix": "<string>",
      "created": 123
    }
  ],
  "has_more": true,
  "url": "/v1/apps/{id}/credentials",
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fluveo.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Path Parameters

id
string
required

The App ID.

Response

A paginated list.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required
Example:

"/v1/apps/{id}/credentials"

next_cursor
string | null